/* $Id: syscall.c,v 1.3 2002/10/31 21:36:50 mikpe Exp $
 * Library interface to Linux x86 Performance-Monitoring Counters.
 * System call interface.
 *
 * Copyright (C) 1999-2002  Mikael Pettersson
 */
#include <errno.h>
#include <asm/unistd.h>

#ifndef __NR_vperfctr
#define __NR_vperfctr 257 /* may change, not yet officially assigned */
#endif

int sys_vperfctr(unsigned int cmd, int whom, void *arg)
{
    long __res;
    __asm__ __volatile__("int $0x80"
			 : "=a"(__res)
			 : "0"(__NR_vperfctr), "b"(cmd), "c"(whom), "d"(arg));
    __syscall_return(int,__res);
}
